summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEray Aslan <eras@gentoo.org>2012-07-22 09:48:25 +0000
committerEray Aslan <eras@gentoo.org>2012-07-22 09:48:25 +0000
commit1e37e8505dc8d183d204d8b85517884d4fd90d0d (patch)
treed6193c5af96efb084f4f68f56571ea44cccfc510 /mail-filter/dspam
parentStable on amd64 wrt bug #427240. Remove old ebuild (diff)
downloadhistorical-1e37e8505dc8d183d204d8b85517884d4fd90d0d.tar.gz
historical-1e37e8505dc8d183d204d8b85517884d4fd90d0d.tar.bz2
historical-1e37e8505dc8d183d204d8b85517884d4fd90d0d.zip
Remove hash and sqlite blockers for virtual users - bug #427138. Thanks to Tom Hendrikx
Package-Manager: portage-2.1.11.9/cvs/Linux x86_64
Diffstat (limited to 'mail-filter/dspam')
-rw-r--r--mail-filter/dspam/ChangeLog8
-rw-r--r--mail-filter/dspam/Manifest41
-rw-r--r--mail-filter/dspam/dspam-3.10.2-r1.ebuild222
3 files changed, 255 insertions, 16 deletions
diff --git a/mail-filter/dspam/ChangeLog b/mail-filter/dspam/ChangeLog
index f2a9b6f298c2..d90a0b365386 100644
--- a/mail-filter/dspam/ChangeLog
+++ b/mail-filter/dspam/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for mail-filter/dspam
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/mail-filter/dspam/ChangeLog,v 1.150 2012/06/08 11:43:02 phajdan.jr Exp $
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/dspam/ChangeLog,v 1.151 2012/07/22 09:48:25 eras Exp $
+
+*dspam-3.10.2-r1 (22 Jul 2012)
+
+ 22 Jul 2012; Eray Aslan <eras@gentoo.org> +dspam-3.10.2-r1.ebuild:
+ Remove hash and sqlite blockers for virtual users - bug #427138. Thanks to
+ Tom Hendrikx
08 Jun 2012; Pawel Hajdan jr <phajdan.jr@gentoo.org> dspam-3.10.2.ebuild:
x86 stable wrt bug #419017
diff --git a/mail-filter/dspam/Manifest b/mail-filter/dspam/Manifest
index f3c984e76db6..5dc1757a28ef 100644
--- a/mail-filter/dspam/Manifest
+++ b/mail-filter/dspam/Manifest
@@ -1,20 +1,31 @@
-----BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA512
+Hash: SHA256
-AUX dspam.confd 299 RMD160 f53e474d51912b00ccf4876a20071814d2066364 SHA1 cde7c587dcf94174568d538cd55188bf5916de16 SHA256 fdc691c71a2518c13f61aa44159f1318b03ba4f9ca004a3f38c3c95ba6f02e63
-AUX dspam.cron-r4 160 RMD160 cd633a4a72ecae12ad70faf8d0ae486bba1fbe6e SHA1 0b620d69451b52968389c6e83d5a904d38299cc1 SHA256 ef59ea37a272b3d044a59fc1f30d1c60087e15d5735ba961cc57458cc5026aca
-AUX dspam.initd 979 RMD160 e7248f5b2feb6416bdc61e0b8ebf7593cae3c573 SHA1 fdbdfd9565e1581b422b2a0afc3daa27003be495 SHA256 4eaf5da3420a6196ce987429bedf3ba25d21616ea1eb2ebc35c58778c0105d7c
-AUX dspam.logrotate 180 RMD160 56ba31d0bf4558dd0b3b6bda247050bd2cbcc18e SHA1 94a988258efad37d51604769b0336c27e1aa3b31 SHA256 17285ab0e624ec52124e8f661649ac9549c00e91a2f8d0d6d9de4eabf273d582
-DIST dspam-3.10.1.tar.gz 1044198 RMD160 f7022c10c7555d8a05e5bacb5804b3dc29f96066 SHA1 dfd78c9f696470077d4e2e2b52f1f42f90ac52cc SHA256 359d9f58564a87da131b8390d0eeecae4aa40d22ff74b97256d46835a2474063
-DIST dspam-3.10.2.tar.gz 1035054 RMD160 7e112981e45e483350b9afc056ebfa4c5561036c SHA1 21133e0ee1880f3e8c849365b7e27a73f6d0413a SHA256 ae76569604021f35b741fb95198a1e611a8c64c3838661973a6cf360bba593a9
-EBUILD dspam-3.10.1-r1.ebuild 6175 RMD160 4a6465dbbc5fb30ae9cfae8ea64982ec1d2b8f09 SHA1 3036ab60fabd3fe8e94705cfaba6d3fdb01acc9c SHA256 d2a7a9febb44e5785dd3ff0f587e9201a65a19d11bc692bd37231664a0f7669a
-EBUILD dspam-3.10.2.ebuild 6175 RMD160 971cac15a9a3a873e71abd310e332e88e1f66a67 SHA1 a77f7529b08f15c6a3d5750056d7139bfe7c819d SHA256 29e2b37cfa89595f047e7879208eea872affdfeac6dd8888f9082ee29c363431
-MISC ChangeLog 25478 RMD160 3091dc6e59929d280ae7210c52263d0b8ceb58de SHA1 cd78ae69febda614ec75d5c3eea16eda8e8003ad SHA256 57f3ecbc575b0203eb2216b9cbf21d7c1388724162f4da1a2355d9cd5f6640db
-MISC metadata.xml 988 RMD160 d6364edd271e8332bb792dc0dd336962f3386ef5 SHA1 1ab827c2c197afb352ad7bbc0b6be4a5dec8ffe8 SHA256 f4e606cfc13e00ee42e46fdc32059610d9927605bc4e55c10c02fcb71fa65916
+AUX dspam.confd 299 SHA256 fdc691c71a2518c13f61aa44159f1318b03ba4f9ca004a3f38c3c95ba6f02e63 SHA512 fed17bf8b053924b42d7eaf11508ce3a75ca065c495c68a41016d82456cc8055bbd19c67135ab3d0d8cffe9717487c7000c8600a8dc1e077d18052919d98b433 WHIRLPOOL 1e4bb58293b4be546c9d88d385fb16d43f2edb8c237acd51a9ac98a1ec2f61717fe5822e7baf15ac0b92c2597d3d7c4954653d627275196944b77233a92680ce
+AUX dspam.cron-r4 160 SHA256 ef59ea37a272b3d044a59fc1f30d1c60087e15d5735ba961cc57458cc5026aca SHA512 b00260fb3017c34d6c37ac97139dda82a609740ee751f8e97487e9bbdb27582715adab418fcf4650c34a0b0d04ebad9c2aac14580e29a5cfca78b783b3e8c14c WHIRLPOOL 02745878d432907510f0363f31f17d6d9a10643ae2f6b5fe5cdaa83b5fa6fda98cb39e74b3b257af3faefa1be62a97ea2c24f8a1764103d4b141a8a4adb3213a
+AUX dspam.initd 979 SHA256 4eaf5da3420a6196ce987429bedf3ba25d21616ea1eb2ebc35c58778c0105d7c SHA512 5b16302e841e8144086333817b19fac7b34ac2151b4345e3d55263c7155617ec0ecb8a9ce6ae72d042197d323902a7f6206738c9a4df617d4deba986ee1c1397 WHIRLPOOL ecf7487b804ecd5543ac45e34d3472435224b5e236c5c8e74527338b08a5d7b08215074b2112957509251e4abf4a01a089f2a9e36e63468aa2e3944f81a967ee
+AUX dspam.logrotate 180 SHA256 17285ab0e624ec52124e8f661649ac9549c00e91a2f8d0d6d9de4eabf273d582 SHA512 8178e7ce02ca11171bc5650b70583fa02d2a84a25d184bbee1760618355578826c34a423d76310135f773e37d5ecab565a707ed1d33190005daf1851a756c389 WHIRLPOOL 73860d77d41562ab056091e54ee862cff1eda45d8637561ee548ab7ca8dfe486d2d8312d78074e12087a36f4c4235067a911609604616577d3593cdab6c94ae1
+DIST dspam-3.10.1.tar.gz 1044198 SHA256 359d9f58564a87da131b8390d0eeecae4aa40d22ff74b97256d46835a2474063
+DIST dspam-3.10.2.tar.gz 1035054 SHA256 ae76569604021f35b741fb95198a1e611a8c64c3838661973a6cf360bba593a9 SHA512 5fe53e1d0d7cabb3983f5c67274b074b7c647c1bae10ebc7ea3805542f99dbfb39abd4697e344e6eb80554522319a1253e1082ed6b389364bbaec1d6ddd43856 WHIRLPOOL 7195f295e786d0b327670ebcb292dc5d9fe98d94e48a5b4e3dd231aae88d55c19dfcf2c04df65bb969fdd8f1210ec125d6aa84d602623cb20964a170f95b880e
+EBUILD dspam-3.10.1-r1.ebuild 6175 SHA256 d2a7a9febb44e5785dd3ff0f587e9201a65a19d11bc692bd37231664a0f7669a SHA512 a2f085923ed1f2e0c2cf4fa6022dbdcc453ac3a61b012ef67842896f881e6c10c87f754320d0cdfacae93cbb5f7b59709a24bebde7078fe295bebaa5b1c549c6 WHIRLPOOL 1e1469c0494a5031c615ed05723d2579ab3d367d82f25338dce4a0c25e858fa2b0df7556bc6215d24e32e0589d89a4d6d1b4c716453fb67c5377c7fafe9ddcc7
+EBUILD dspam-3.10.2-r1.ebuild 6068 SHA256 02e7d75cea7c160e582779708671b36a9abd19d9c3d9ab77cb3926faae86e525 SHA512 02a37769cba2079ed637feb5d35104dbafeb5ee878ffdaf4979fd62964e6e348a6665b3bf5ff2013717fa5acecf09f93db23f88eabaf19a592890fbd4e2fb9cd WHIRLPOOL 2bda3b13a27a46700a9cf6fef350028231434656acccbf8b844be76043289b7a9bd4d740996e2c0acdbacf2f53168e97eda2e5125ed8c2ab15bc1b0e498422b2
+EBUILD dspam-3.10.2.ebuild 6175 SHA256 29e2b37cfa89595f047e7879208eea872affdfeac6dd8888f9082ee29c363431 SHA512 7806510a414cc66cb6b0b9735166a86f35060b78536bc783ec797fd83fb409782e80e79019b7df68287edab459bfe75df6191e833add936d11878212b39500dd WHIRLPOOL a71fb33e7e2646a66ed378763243a61b665ac1939944a2a562d326f67300e6f6eb4dfcfbe6923a482cd9a132b12b205cfa9b39b79428db2c5bcac3ce5d544e1a
+MISC ChangeLog 25666 SHA256 51fa37bd12ef42079171e40d9359ed8ec14517e3782978ef7d08c90e5525fcec SHA512 a4e62e25e3230b94d6bab7cfcd2eff4d0d0a4f9f5643319ba21deb97b1343a7afbfacb4cc1b9a921c1323f0f3e141e18ea9b26477aa77657509b78caeee6db83 WHIRLPOOL bbd3aaa46b9f50ce4e772e3c7076f8ff30ca79ca93aa837331934be45be7462f53b98168452106f1042889a4be1cab6be95581838f21449431480b849b4efdd5
+MISC metadata.xml 988 SHA256 f4e606cfc13e00ee42e46fdc32059610d9927605bc4e55c10c02fcb71fa65916 SHA512 6f61b430938b38a7146c94d8a582d527634da55f4d2aec61518fcb259b7e1c83780d38e4c93409dc7b4582f998c2dae428f3796950b37c4ce98fd3c42a5875df WHIRLPOOL afe38ca6ddc7a69bcd2f57cf9e8b162f3b6eaf332ef920dd4528feed7372acfbec8926c8e2e4766669c82c842e2af84098197716825bfbd774107fd21c511e55
-----BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.17 (GNU/Linux)
+Version: GnuPG v2.0.19 (GNU/Linux)
-iEYEAREKAAYFAk/R5UwACgkQuUQtlDBCeQLRDQCfTBgPwR2iooXDfL3GbIrP2MdS
-008An3tpGdf/tI/U3uih6AYd/7M7slZ+
-=m406
+iQIcBAEBCAAGBQJQC8x+AAoJEHfx8XVYajsfcGUP/0rwogu3WZipXSfo+lPJpkr+
+zSgHR20/jNbONI/nKhXwkZYG2bxhbL21jz4bo7ekSB9Gj3dP/MpmQ/D7HQ9Ejhak
+ewPob/oIbwFBnZJUvqNox0yB2lIPUTRUWaKIE4hx3NR0ppTbpAHFCOAJu0jxR5Xs
+CwtyuPJ3q01hjez81usE8rY1TpM7mX/Lg4L/X8ROoAWg0k0LqSVp2HTF+pud8DHQ
+hu6YJg9YQ9xGK0E/sSYBUe7UECK98Zl8idNPlQxWK/ODfNVdHDUj1kFyaHS22CkR
+xBjmmyBoaRcehrmeL9YGTA9rTRfUhVIkmRQgC41hA2fv4iM1kacIFWSZ/bTmxVbR
+9A/m+wwe5QNe7JxAaOYRl/DlRWGaq33sF7lpnHACvoH+3cA7zZU0r+aAxS0lGR3+
+Cscdq6504HlGGyG2KLeM2KJxjcc+IEuAPEerpaELK0t7QhhJNINkfB9SBOsrTXzl
+p5dpeD03GLnpy29RTEURkClx9fgvjdsWnZrfLWX0hQhl8+hl3WPAbur0vCukAwFU
+yDZibFfh70tJJgSdz+deUMC5VLXVJQEnIl3rEGlr9gTSwxWDVnsFayNzBE9MbcXN
+g8ifwp7ibVKANc8JuSg9/Dq3qk2XOC4B1hLXQglzIc6mEWiQcxJv4nAX+WVHWAvt
+l0/9pMDBajljHJNA2u77
+=jOLB
-----END PGP SIGNATURE-----
diff --git a/mail-filter/dspam/dspam-3.10.2-r1.ebuild b/mail-filter/dspam/dspam-3.10.2-r1.ebuild
new file mode 100644
index 000000000000..898ea1f4f21c
--- /dev/null
+++ b/mail-filter/dspam/dspam-3.10.2-r1.ebuild
@@ -0,0 +1,222 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/dspam/dspam-3.10.2-r1.ebuild,v 1.1 2012/07/22 09:48:25 eras Exp $
+
+EAPI=4
+
+inherit eutils user
+
+DESCRIPTION="A statistical-algorithmic hybrid anti-spam filter"
+HOMEPAGE="http://dspam.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+DRIVERS_IUSE="+hash mysql postgres sqlite"
+SCALES_IUSE="small-scale +domain-scale large-scale"
+IUSE="clamav daemon debug ldap static-libs syslog virtual-users user-homedirs ${DRIVERS_IUSE} ${SCALES_IUSE}"
+
+DEPEND="
+ ldap? ( net-nds/openldap )
+ mysql? ( >=virtual/mysql-5.0 )
+ postgres? ( dev-db/postgresql-base )
+ sqlite? ( dev-db/sqlite:3 )
+"
+
+RDEPEND="
+ ${DEPEND}
+ clamav? ( app-antivirus/clamav )
+ syslog? ( virtual/logger )
+"
+
+# Demands on sane USE flags:
+# - find out what driver to use: select at least one
+# - if static-libs is set, only one driver may be selected
+# - find out what scale to use: select exactly one
+# - user-homedirs does not work with virtual-users
+REQUIRED_USE="
+ || ( ${DRIVERS_IUSE//+} )
+ static-libs? ( ^^ ( ${DRIVERS_IUSE//+} ) )
+ ^^ ( ${SCALES_IUSE//+} )
+ virtual-users? ( !user-homedirs )
+"
+
+# dspam setup defaults
+DSPAM_HOME=/var/spool/dspam
+DSPAM_CONF=/etc/dspam
+DSPAM_LOG=/var/log/dspam
+DSPAM_MODE=2510
+DSPAM_DRIVERS=
+DSPAM_DRIVERS_EXTRAS=
+
+pkg_setup() {
+ # setup storage, this sets DSPAM_DRIVERS
+ dspam_setup_storage_drivers
+
+ # create dspam user and group
+ dspam_setup_user
+}
+
+src_configure() {
+ econf \
+ --sysconfdir=${DSPAM_CONF} \
+ --with-dspam-home=${DSPAM_HOME} \
+ --with-dspam-home-group=dspam \
+ --with-dspam-mode=${DSPAM_MODE} \
+ --with-dspam-group=dspam \
+ --with-logdir=${DSPAM_LOG} \
+ --enable-external-lookup \
+ --enable-long-usernames \
+ --enable-split-configuration \
+ $(use_enable clamav) \
+ $(use_enable daemon) \
+ $(use_enable debug) \
+ $(use_enable debug bnr-debug) \
+ $(use_enable debug verbose-debug) \
+ $(use_enable domain-scale) \
+ $(use_enable large-scale) \
+ $(use_enable static-libs static) \
+ $(use_enable syslog) \
+ $(use_enable user-homedirs homedir) \
+ $(use_enable virtual-users) \
+ --with-storage-driver=${DSPAM_DRIVERS} ${DSPAM_DRIVERS_EXTRAS} \
+ $(use mysql || use postgres && echo "--enable-preferences-extension") \
+ $(use syslog || echo "--with-logfile=${DSPAM_LOG}/dspam.log")
+}
+
+dspam_setup_user() {
+ # DSPAM CGI web gui (www-apps/dspam-web) needs to run as a regular user
+ # under suexec in apache, so DSPAM user/group need to be regular users too
+
+ local euid egid
+ for euid in {1000..5000} ; do
+ [ -z "$(egetent passwd ${euid})" ] && break
+ done
+ for egid in {1000..5000} ; do
+ [ -z "$(egetent group ${egid})" ] && break
+ done
+ enewgroup dspam ${egid}
+ enewuser dspam ${euid} -1 "${DSPAM_HOMEDIR}" dspam,mail
+}
+
+dspam_setup_storage_drivers() {
+ # Find out which storage drivers need to be enabled, and set some
+ # variables so that src_configure can pick them up
+
+ if use hash; then
+ DSPAM_DRIVERS+=",hash_drv"
+ fi
+
+ if use mysql; then
+ DSPAM_DRIVERS+=",mysql_drv"
+ DSPAM_DRIVERS_EXTRAS+="--with-mysql-includes=/usr/include/mysql "
+ fi
+
+ if use postgres; then
+ DSPAM_DRIVERS+=",pgsql_drv"
+ fi
+
+ if use sqlite; then
+ DSPAM_DRIVERS+=",sqlite3_drv"
+ fi
+
+ if ! use static-libs; then
+ # set the driver name twice to avoid a static build
+ DSPAM_DRIVERS+=${DSPAM_DRIVERS}
+ fi
+
+ # remove first comma separator
+ DSPAM_DRIVERS=${DSPAM_DRIVERS:1}
+ einfo "Building with drivers: ${DSPAM_DRIVERS}"
+ #echo DSPAM_DRIVERS_EXTRAS=$DSPAM_DRIVERS_EXTRAS
+}
+
+src_install() {
+ default
+
+ if use daemon; then
+ newinitd "${FILESDIR}/dspam.initd" dspam
+ newconfd "${FILESDIR}/dspam.confd" dspam
+ fi
+
+ if use mysql; then
+ insinto "/usr/share/${PN}/mysql"
+
+ local files="mysql_objects-4.1.sql mysql_objects-space.sql mysql_objects-speed.sql purge-4.1.sql purge.sql"
+ if use virtual-users; then
+ files+=" virtual_user_aliases.sql virtual_users.sql"
+ fi
+
+ for file in $files; do
+ doins src/tools.mysql_drv/${file}
+ done
+ fi
+
+ if use postgres; then
+ insinto "/usr/share/${PN}/pgsql"
+
+ local files="pgsql_objects.sql purge-pe.sql purge.sql"
+ if use virtual-users; then
+ files+=" virtual_users.sql"
+ fi
+
+ for file in $files; do
+ doins src/tools.pgsql_drv/${file}
+ done
+ fi
+
+ if use sqlite; then
+ insinto "/usr/share/${PN}/sqlite"
+ newins src/tools.sqlite_drv/purge-3.sql purge.sql
+ fi
+
+ insinto "${DSPAM_HOME}/txt"
+ doins txt/*.txt
+ for i in spam nonspam; do
+ echo "Scanned and tagged with DSPAM ${PV} on Gentoo Linux as ${i} by ISP" > "${T}/msgtag.${i}"
+ doins "${T}/msgtag.${i}"
+ done
+
+ exeinto /usr/bin
+ newexe contrib/dspam_maintenance/dspam_maintenance.sh dspam_maintenance
+ exeinto /etc/cron.daily
+ newexe "${FILESDIR}/dspam.cron-r4" dspam
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/dspam.logrotate" dspam
+
+ dodoc CHANGELOG README* RELEASE.NOTES UPGRADING doc/*.txt
+
+ # stop logrotate-3.8 from complaining
+ dodir /var/log/dspam
+ fowners dspam:dspam /var/log/dspam
+ fperms 0750 /var/log/dspam
+
+ # Install dspamc setgid
+ fowners root:dspam /usr/bin/dspamc &&
+ fperms g+s /usr/bin/dspamc ||
+ die "failed to alter dspamc owner:group or mode"
+}
+
+pkg_preinst() {
+ # dspam-3.10.0: config dir change, should be removed at some later point
+ if [ -d "${ROOT}/etc/mail/dspam" ]; then
+ ewarn "The configuration directory of DSPAM has been relocated from /etc/mail/dspam to ${DSPAM_CONF}."
+ if [ -h "${ROOT}${DSPAM_CONF}" ]; then
+ # symlink, this is the setup in older ebuilds
+ ewarn "Moving contents of /etc/mail/dspam to ${DSPAM_CONF} ..."
+ rm "${ROOT}${DSPAM_CONF}" && mv "${ROOT}/etc/mail/dspam" "${DSPAM_CONF}"
+ eend $?
+
+ elif [ -d "${ROOT}${DSPAM_CONF}" ]; then
+ # directory and no symlink, do it manually since we cannot decide.
+ ewarn "You have both /etc/mail/dspam and ${DSPAM_CONF} directories, please delete the former."
+
+ else
+ # nothing interesting in /etc/dspam
+ ewarn "Moving contents of /etc/mail/dspam to ${DSPAM_CONF} ..."
+ mv "${ROOT}/etc/mail/dspam" "${DSPAM_CONF}"
+ eend $?
+ fi
+ fi
+}